///////////////////////////////////
////////// environement ///////////
///////////////////////////////////


textures/env/sky
{
    qer_editorimage "env/sky19_up.jpg"
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm sky
    nopicmip
    nomipmaps
    q3map_globaltexture
    q3map_lightmapFilterRadius 0 8
    q3map_sunExt 0.909 0.714 0.373 280 50 60 3 12
    q3map_skyLight 165 5
    q3map_lightRGB 0.94 0.91 0.85
    skyparms "env/sky19" - -
}

textures/env/sky-desert
{
    qer_editorimage "env/desert/Desert_up.jpg"
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm sky
    nopicmip
    nomipmaps
    q3map_globaltexture
    q3map_lightmapFilterRadius 0 8
    q3map_sunExt 0.909 0.714 0.373 280 50 60 3 12
    q3map_skyLight 165 5
    q3map_lightRGB 0.94 0.91 0.85
    skyparms "env/desert/Desert" - -
}

textures/env/skynight
{ 
    qer_editorimage env/skynight/skynight_ft.jpg
	//q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 500
	q3map_lightsubdivide 512
    surfaceparm sky
    surfaceparm nolightmap
    surfaceparm noimpact
    skyparms env/skynight/skynight - -
}

textures/env/space2k2
{ 
    qer_editorimage env/space2k2/space2k2_ft.jpg
	//q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 500
	q3map_lightsubdivide 512
    surfaceparm sky
    surfaceparm nolightmap
    surfaceparm noimpact
    skyparms env/space2k2/space2k2 - -
}






textures/opercule/dsiglass
{
	qer_editorimage textures/opercule/dsiglass.tga
	surfaceparm trans
	surfaceparm slick
	cull disable
	qer_trans 0.5
	{
		map textures/opercule/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/opercule/tmpjp
{
	qer_editorimage textures/opercule/tmpjp.tga
	q3map_lightimage textures/opercule/tmpjp.blend.tga
	q3map_surfacelight 500
	{
		map textures/opercule/tmpjp.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/opercule/tmpjp.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 1 
	}
}

textures/opercule/dablue
{
	qer_editorimage textures/opercule/dablue.blend.tga
	q3map_lightimage textures/opercule/dablue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/opercule/dablue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/opercule/dablue.blend.tga
		blendfunc add
	}
}

textures/opercule/ecel_clight01_10k
{
	qer_editorimage textures/opercule/ecel_clight01.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/opercule/ecel_clight01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/opercule/ecel_clight01.blend.tga
		blendfunc add
	}
}

textures/opercule/ecel_girder01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/opercule/ecel_girder01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/opercule/ecel_bounce_c02mtl
{
	q3map_lightimage textures/opercule/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/opercule/ecel_bounce_c02mtl.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/opercule/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/opercule/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/opercule/tele_bleuciel
{      
	qer_editorImage textures/opercule/teleport_bleuciel.tga
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfaceLight 150
	q3map_lightSubdivide 256
	q3map_bounceScale 0.15
	cull none
	noPicMip 
	deformVertexes autosprite
	{
		clampMap textures/opercule/teleglow_bleuciel.tga
		blendFunc filter
		alphaGen vertex
		//tcMod stretch sin 0.4 0.1 0 0.8
		//alphagen wave sin .75 .5 .6 1.5
		//alphaGen const 0.1
	}
	{
		clampMap textures/opercule/teleport_bleuciel.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
		
		alphagen wave sin .75 .5 .6 1.5
	}
	{
		clampMap textures/opercule/teleport_bleuciel.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
		alphagen wave sin .75 .5 .6 1.5
	}
	{
		clampMap textures/opercule/teleport_bleuciel.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0.6 1.0
		tcMod rotate 11
		alphagen wave sin .75 .5 .6 1.5
	}
}

textures/opercule/icy
{
    q3map_lightImage textures/opercule/tint.tga
    qer_editorImage textures/opercule/icy.jpg
    surfaceparm slick
    {
        map textures/opercule/icy.jpg
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/opercule/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/opercule/opercule
{
    qer_editorImage textures/opercule/opercule.png
    polygonOffset
    {
        map textures/opercule/opercule.png
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/opercule/long-range
{
    qer_editorImage textures/opercule/long-range.png
    polygonOffset
    {
        map textures/opercule/long-range.png
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/opercule/camera
{
	qer_editorimage textures/opercule/camera.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	portal
	{
		map textures/opercule/camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

textures/opercule/lapin
{
    qer_editorImage textures/opercule/lapin.tga
    polygonOffset
    {
        map textures/opercule/lapin.tga
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/opercule/bluebeam
	{
    		qer_editorimage textures/opercule/bluebeam.tga
		surfaceparm trans	
    		surfaceparm nomarks	
    		surfaceparm nonsolid
		surfaceparm nolightmap
		q3map_surfacelight 300
    		qer_trans .6
		cull none
	{
		map textures/opercule/bluebeam.tga
		tcMod scroll 0.8 0.8
        blendFunc add
    } 
}







